# Uses of Class
org.apache.sling.api.resource.LoginException

Packages that use LoginException
Package
Description
org.apache.sling.api.resource
org.apache.sling.api.wrappers
org.apache.sling.spi.resource.provider

## Uses of LoginException in org.apache.sling.api.resource

Methods in org.apache.sling.api.resource that throw LoginException
Modifier and Type
Method
Description
`@NotNull ResourceResolver`
ResourceResolver.`clone(Map<String,Object> authenticationInfo)`
Returns a new `ResourceResolver` instance based on the given `authenticationInfo` map and the original authentication info used to create this instance.
`@NotNull ResourceProvider`
ResourceProviderFactory.`getAdministrativeResourceProvider(Map<String,Object> authenticationInfo)`
Deprecated.
as of 2.4 (bundle version 2.5.0) because of inherent security issues.
`@NotNull ResourceResolver`
ResourceResolverFactory.`getAdministrativeResourceResolver(Map<String,Object> authenticationInfo)`
Deprecated.
as of 2.4 (bundle version 2.5.0) because of inherent security issues.
`@NotNull ResourceProvider`
ResourceProviderFactory.`getResourceProvider(Map<String,Object> authenticationInfo)`
Deprecated.
Returns a new `ResourceProvider` instance with further configuration taken from the given `authenticationInfo` map.
`@NotNull ResourceResolver`
ResourceResolverFactory.`getResourceResolver(Map<String,Object> authenticationInfo)`
Returns a new `ResourceResolver` instance with further configuration taken from the given `authenticationInfo` map.
`@NotNull ResourceResolver`
ResourceResolverFactory.`getServiceResourceResolver(Map<String,Object> authenticationInfo)`
Returns a new `ResourceResolver` instance with privileges assigned to the service provided by the calling bundle.

## Uses of LoginException in org.apache.sling.api.wrappers

Methods in org.apache.sling.api.wrappers that throw LoginException
Modifier and Type
Method
Description
`@NotNull ResourceResolver`
ResourceResolverWrapper.`clone(Map<String,Object> authenticationInfo)`
Wraps and returns the `ResourceResolver` obtained by calling `clone` on the wrapped resource resolver.

## Uses of LoginException in org.apache.sling.spi.resource.provider

Methods in org.apache.sling.spi.resource.provider that throw LoginException
Modifier and Type
Method
Description
`T`
ResourceProvider.`authenticate(@NotNull Map<String,Object> authenticationInfo)`
Authenticate against the resource provider.